Subject: Re: What's cooking in git.git (Mar 2024, #08; Tue, 26)

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Mar 2024 13:45:59 -0700

Taylor Blau <[email-masked]> writes:

>>  The pack-bitmap machinery has been extended to write bitmaps for
>>  pseudo-merges, which are imaginary commits which act as octopus
>>  merges covering groups of the un-bitmapped parts of history at
>>  reference tips.  This is good for ... what ...?
>
> Instead of "this is good for ... what ...", let me know what you think
> of:
>
>   This allows for greater bitmap coverage (and, thus, performance when
>   using bitmaps) of repositories with many references which ordinarily
>   would not receive full coverage.

Much better than "god for ... what ..." ;-)

Now if it gets summarized in 2-5 lines, we have something we can
use.

Thanks.